#include <iostream.h>
#include <string.h>
#include "TPaveLabel.h"
#include "MyClass.h"

ClassImp(MyClass)

MyClass::MyClass():TNamed("testName", "testTitle")
{
   I = 0;
   F = 0.;
}

MyClass::MyClass(const char* s):TNamed(s, s)
{
   I = 0;
   F = 0.;
}
MyClass::MyClass(const char* s, Int_t i, Float_t f):TNamed(s, s)
{
   I = i;
   F = f;
}

void MyClass::Print() const
{
  cout << "I = " << I << ", F = " << F << endl;
}

void MyClass::Draw() 
{
  char* s = (char*) malloc(25);
  sprintf(s, "F = %f \n I = %d", F, I);
  TPaveLabel *hello = new TPaveLabel(0.2,0.4,0.8,0.6, s);
  hello->Draw();
}

void MyClass::Browse() 
{
  this->Draw();
}

